Đến nội dung


Hình ảnh
- - - - -

[Yêu cầu] – Lisp Trim hàng loạt đoạn thẳng nằm giữa nhiều đoạn thẳng song song.


  • Please log in to reply
59 replies to this topic

#41 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 5448 Bài viết
Điểm đánh giá: 2624 (tuyệt vời)

Đã gửi 10 December 2012 - 09:36 PM

Lisp Trim 2n Lines này bởi 2m Lines khác, mà các Lines này song song với trục X và Y.

(defun C:HA( / ssd ssb layo lay lst3 lst4 pd pc p i)
;Doan Van Ha - CADViet.com - Ngay 10/12/2012
;Chuc nang: Trim 2n Lines boi 2m Lines khac. Cac Lines nay // voi truc X va Y.
(vl-load-com) (command "undo" "be") (setq layo (getvar "clayer"))
(if
(and
(princ "\nChon cac Line lam dao cat...")
(setq ssd (ssget '((0 . "Line"))))
(princ "\nChon cac Line bi cat...")
(setq ssb (ssget '((0 . "Line")))))
(progn
(foreach ent1 (vl-remove-if 'listp (mapcar 'cadr (ssnamex ssb)))
(setq lay (cdr (assoc 8 (entget ent1))))
(setq lst3 (list (setq pd (cdr (assoc 10 (entget ent1)))) (setq pc (cdr (assoc 11 (entget ent1))))))
(foreach ent2 (vl-remove-if 'listp (mapcar 'cadr (ssnamex ssd)))
(if (setq p (car (acet-geom-intersectwith ent1 ent2 0)))
(setq lst3 (cons p lst3))))
(if (equal (cadr pd) (cadr pc) 1E-8)
(setq lst4 (cons (list lay (vl-sort lst3 '(lambda (p1 p2) (> (car p1) (car p2))))) lst4))
(setq lst4 (cons (list lay (vl-sort lst3 '(lambda (p1 p2) (> (cadr p1) (cadr p2))))) lst4)))
(vla-delete (vlax-ename->vla-object ent1)))
(foreach lst (reverse lst4)
(setq i 0)
(repeat (/ (length (cadr lst)) 2)
(setvar "clayer" (car lst))
(entmake (list (cons 0 "LINE") (cons 10 (nth i (cadr lst))) (cons 11 (nth (1+ i) (cadr lst)))))
(setq i (+ i 2))))))
(setvar "clayer" layo) (command "undo" "end") (princ))

  • 5

* Chỉ nên yêu cầu Lisp khi bạn làm việc đó mất cả ngày nhưng họ chỉ viết 1 giờ. Đừng nêu yêu cầu Lisp khi bạn chỉ làm 1 giờ nhưng bắt họ phải mất cả ngày.

* Nhờ viết lisp cũng như đi khám bệnh. Chỉ gởi căn cước và than sắp chết thì không bác sỹ nào cứu sống được.


#42 Hoan1111

Hoan1111

    biết lệnh adcenter

  • Members
  • PipPipPipPipPipPipPip
  • 2587 Bài viết
Điểm đánh giá: 692 (tốt)

Đã gửi 10 December 2012 - 09:45 PM

Cắt bình thường đối với người này mà không bình thường đối với kia là vẫn chưa bình thường.
Tất nhiên đang nói tới Line.

Command: multr undo Current settings: Auto = On, Control = All, Combine = Yes
Enter the number of operations to undo or [Auto/Control/BEgin/End/Mark/Back]
<1>: be
Command: zoom
Specify corner of window, enter a scale factor (nX or nXP), or
[All/Center/Dynamic/Extents/Previous/Scale/Window/Object] <real time>: e
Command:
Select objects: Specify opposite corner: 8 found

Select objects: trim
Current settings: Projection=UCS, Edge=None
Select cutting edges ...
Select objects or <select all>: 9 found

Select objects:
Select object to trim or shift-select to extend or
[Fence/Crossing/Project/Edge/eRase/Undo]:
Select object to trim or shift-select to extend or
[Fence/Crossing/Project/Edge/eRase/Undo]:
Select object to trim or shift-select to extend or
[Fence/Crossing/Project/Edge/eRase/Undo]:
Select object to trim or shift-select to extend or
[Fence/Crossing/Project/Edge/eRase/Undo]:
Select object to trim or shift-select to extend or
[Fence/Crossing/Project/Edge/eRase/Undo]:
Command: trim
Current settings: Projection=UCS, Edge=None
Select cutting edges ...
Select objects or <select all>: 9 found

Select objects:
Select object to trim or shift-select to extend or
[Fence/Crossing/Project/Edge/eRase/Undo]:
Select object to trim or shift-select to extend or
[Fence/Crossing/Project/Edge/eRase/Undo]:
Select object to trim or shift-select to extend or
[Fence/Crossing/Project/Edge/eRase/Undo]:
Select object to trim or shift-select to extend or
[Fence/Crossing/Project/Edge/eRase/Undo]:
Select object to trim or shift-select to extend or
[Fence/Crossing/Project/Edge/eRase/Undo]:
Command: trim
Current settings: Projection=UCS, Edge=None
Select cutting edges ...
Select objects or <select all>: 9 found

Select objects:
Select object to trim or shift-select to extend or
[Fence/Crossing/Project/Edge/eRase/Undo]:
Select object to trim or shift-select to extend or
[Fence/Crossing/Project/Edge/eRase/Undo]:
Select object to trim or shift-select to extend or
[Fence/Crossing/Project/Edge/eRase/Undo]:
Select object to trim or shift-select to extend or
[Fence/Crossing/Project/Edge/eRase/Undo]:
Select object to trim or shift-select to extend or
[Fence/Crossing/Project/Edge/eRase/Undo]:
Command: trim
Current settings: Projection=UCS, Edge=None
Select cutting edges ...
Select objects or <select all>: 9 found

Select objects:
Select object to trim or shift-select to extend or
[Fence/Crossing/Project/Edge/eRase/Undo]:
Select object to trim or shift-select to extend or
[Fence/Crossing/Project/Edge/eRase/Undo]:
Select object to trim or shift-select to extend or
[Fence/Crossing/Project/Edge/eRase/Undo]:
Select object to trim or shift-select to extend or
[Fence/Crossing/Project/Edge/eRase/Undo]:
Select object to trim or shift-select to extend or
[Fence/Crossing/Project/Edge/eRase/Undo]:
Command: trim
Current settings: Projection=UCS, Edge=None
Select cutting edges ...
Select objects or <select all>: 9 found

Select objects:
Select object to trim or shift-select to extend or
[Fence/Crossing/Project/Edge/eRase/Undo]:
Select object to trim or shift-select to extend or
[Fence/Crossing/Project/Edge/eRase/Undo]:
Select object to trim or shift-select to extend or
[Fence/Crossing/Project/Edge/eRase/Undo]:
Select object to trim or shift-select to extend or
[Fence/Crossing/Project/Edge/eRase/Undo]:
Select object to trim or shift-select to extend or
[Fence/Crossing/Project/Edge/eRase/Undo]:
Command: trim
Current settings: Projection=UCS, Edge=None
Select cutting edges ...
Select objects or <select all>: 9 found

Select objects:
Select object to trim or shift-select to extend or
[Fence/Crossing/Project/Edge/eRase/Undo]:
Select object to trim or shift-select to extend or
[Fence/Crossing/Project/Edge/eRase/Undo]:
Select object to trim or shift-select to extend or
[Fence/Crossing/Project/Edge/eRase/Undo]:
Select object to trim or shift-select to extend or
[Fence/Crossing/Project/Edge/eRase/Undo]:
Select object to trim or shift-select to extend or
[Fence/Crossing/Project/Edge/eRase/Undo]:
Command: trim
Current settings: Projection=UCS, Edge=None
Select cutting edges ...
Select objects or <select all>: 9 found

Select objects:
Select object to trim or shift-select to extend or
[Fence/Crossing/Project/Edge/eRase/Undo]:
Select object to trim or shift-select to extend or
[Fence/Crossing/Project/Edge/eRase/Undo]:
Select object to trim or shift-select to extend or
[Fence/Crossing/Project/Edge/eRase/Undo]:
Select object to trim or shift-select to extend or
[Fence/Crossing/Project/Edge/eRase/Undo]:
Select object to trim or shift-select to extend or
[Fence/Crossing/Project/Edge/eRase/Undo]:
Command: trim
Current settings: Projection=UCS, Edge=None
Select cutting edges ...
Select objects or <select all>: 9 found

Select objects:
Select object to trim or shift-select to extend or
[Fence/Crossing/Project/Edge/eRase/Undo]:
Select object to trim or shift-select to extend or
[Fence/Crossing/Project/Edge/eRase/Undo]:
Select object to trim or shift-select to extend or
[Fence/Crossing/Project/Edge/eRase/Undo]:
Select object to trim or shift-select to extend or
[Fence/Crossing/Project/Edge/eRase/Undo]:
Select object to trim or shift-select to extend or
[Fence/Crossing/Project/Edge/eRase/Undo]:
Command: zoom
Specify corner of window, enter a scale factor (nX or nXP), or
[All/Center/Dynamic/Extents/Previous/Scale/Window/Object] <real time>: p
Command: Regenerating model.
undo Current settings: Auto = On, Control = All, Combine = Yes
Enter the number of operations to undo or [Auto/Control/BEgin/End/Mark/Back]
<1>: e
Command:
  • 0

66 Câu Phật Học Cho Cuộc Sống : http://ngocchinh.com...-cho-cuoc-song/

Gió đưa cây cải về trời / Rau răm ở lại chịu lời đắng cay...

 

 


#43 Hoan1111

Hoan1111

    biết lệnh adcenter

  • Members
  • PipPipPipPipPipPipPip
  • 2587 Bài viết
Điểm đánh giá: 692 (tốt)

Đã gửi 10 December 2012 - 09:53 PM

Thử lisp của anh Hà:
Command: ha undo Current settings: Auto = On, Control = All, Combine = Yes
Enter the number of operations to undo or [Auto/Control/BEgin/End/Mark/Back]
<1>: be
Command:
Chon cac Line lam dao cat...
Select objects: Specify opposite corner: 8 found
Select objects:
Chon cac Line bi cat...
Select objects: Specify opposite corner: 8 found
Select objects: undo Current settings: Auto = On, Control = All, Combine = Yes
Enter the number of operations to undo or [Auto/Control/BEgin/End/Mark/Back]
<1>: end
Command:

"Cắt bình thường đối với người này mà không bình thường đối với kia là vẫn chưa bình thường.
Tất nhiên đang nói tới Line.
"

Em không hiểu ???
  • 0

66 Câu Phật Học Cho Cuộc Sống : http://ngocchinh.com...-cho-cuoc-song/

Gió đưa cây cải về trời / Rau răm ở lại chịu lời đắng cay...

 

 


#44 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 5448 Bài viết
Điểm đánh giá: 2624 (tuyệt vời)

Đã gửi 10 December 2012 - 10:00 PM

Nhắc lại:

Cắt bình thường đối với người này mà không bình thường đối với kia là vẫn chưa bình thường.
Tất nhiên đang nói tới Line.

Minh họa (dùng lisp bác PTB mà bạn Hoằn cứ chắc như đinh đóng cột):
http://www.cadviet.c...7029_trim_2.dwg
Hình đã gửi
  • 2

* Chỉ nên yêu cầu Lisp khi bạn làm việc đó mất cả ngày nhưng họ chỉ viết 1 giờ. Đừng nêu yêu cầu Lisp khi bạn chỉ làm 1 giờ nhưng bắt họ phải mất cả ngày.

* Nhờ viết lisp cũng như đi khám bệnh. Chỉ gởi căn cước và than sắp chết thì không bác sỹ nào cứu sống được.


#45 EDIT

EDIT

    biết vẽ line

  • Members
  • PipPip
  • 29 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 10 December 2012 - 10:31 PM

E đã test thử lisp của anh Ha. Lisp làm việc đúng ý em rồi. Cám ơn a rất nhiều. Từ nay công vc đỡ vất vả hơn rồi. hô hô. Cadviet muôn năm!
  • 0

#46 Hoan1111

Hoan1111

    biết lệnh adcenter

  • Members
  • PipPipPipPipPipPipPip
  • 2587 Bài viết
Điểm đánh giá: 692 (tốt)

Đã gửi 10 December 2012 - 11:10 PM

Nhắc lại:


Minh họa (dùng lisp bác PTB mà bạn Hoằn cứ chắc như đinh đóng cột):
http://www.cadviet.c...7029_trim_1.dwg
Hình đã gửi

Hình đã gửi
Lỗi do anh thao tác kiểu của anh, còn em thì làm kiểu của em:
Sau khi gõ lệnh Multr >> Quét chọn đối tượng >> là các cột >> sẽ được :
1)- Nếu quét chọn tiếp hàng, nó sẽ ra cái của anh
2)- Không quét chọn mà gõ Enter nó sẽ ra cái của em
  • 0

66 Câu Phật Học Cho Cuộc Sống : http://ngocchinh.com...-cho-cuoc-song/

Gió đưa cây cải về trời / Rau răm ở lại chịu lời đắng cay...

 

 


#47 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 5448 Bài viết
Điểm đánh giá: 2624 (tuyệt vời)

Đã gửi 10 December 2012 - 11:13 PM

Dòm kỹ hình lại đi: kiểu của em cũng không đúng nốt.
  • 0

* Chỉ nên yêu cầu Lisp khi bạn làm việc đó mất cả ngày nhưng họ chỉ viết 1 giờ. Đừng nêu yêu cầu Lisp khi bạn chỉ làm 1 giờ nhưng bắt họ phải mất cả ngày.

* Nhờ viết lisp cũng như đi khám bệnh. Chỉ gởi căn cước và than sắp chết thì không bác sỹ nào cứu sống được.


#48 Hoan1111

Hoan1111

    biết lệnh adcenter

  • Members
  • PipPipPipPipPipPipPip
  • 2587 Bài viết
Điểm đánh giá: 692 (tốt)

Đã gửi 10 December 2012 - 11:13 PM

E đã test thử lisp của anh Ha. Lisp làm việc đúng ý em rồi. Cám ơn a rất nhiều. Từ nay công vc đỡ vất vả hơn rồi. hô hô. Cadviet muôn năm!

Cái này chỉ sử dụng sửa bản vẽ của người khác thì chấp nhận được.
Còn nếu như tự mình vẽ bản vẽ rồi tự thò trim cút ra để chữa cháy buồn cười lắm! :rolleyes:
  • 0

66 Câu Phật Học Cho Cuộc Sống : http://ngocchinh.com...-cho-cuoc-song/

Gió đưa cây cải về trời / Rau răm ở lại chịu lời đắng cay...

 

 


#49 Hoan1111

Hoan1111

    biết lệnh adcenter

  • Members
  • PipPipPipPipPipPipPip
  • 2587 Bài viết
Điểm đánh giá: 692 (tốt)

Đã gửi 10 December 2012 - 11:29 PM

Dòm kỹ hình lại đi: kiểu của em cũng không đúng nốt.

Em Hoằn thử trim bằng lisp của anh Hà! :rolleyes: chọn hàng trước cột sau:
Hình đã gửi
  • 0

66 Câu Phật Học Cho Cuộc Sống : http://ngocchinh.com...-cho-cuoc-song/

Gió đưa cây cải về trời / Rau răm ở lại chịu lời đắng cay...

 

 


#50 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 5448 Bài viết
Điểm đánh giá: 2624 (tuyệt vời)

Đã gửi 10 December 2012 - 11:55 PM

Anh sơ ý post lên bản vẽ bị thừa 1 line nên mới vậy. Em down lại bản vẽ anh vừa up (link cũ) hoặc tự phóng tác ra thì sẽ thấy không sai đâu.
  • 0

* Chỉ nên yêu cầu Lisp khi bạn làm việc đó mất cả ngày nhưng họ chỉ viết 1 giờ. Đừng nêu yêu cầu Lisp khi bạn chỉ làm 1 giờ nhưng bắt họ phải mất cả ngày.

* Nhờ viết lisp cũng như đi khám bệnh. Chỉ gởi căn cước và than sắp chết thì không bác sỹ nào cứu sống được.


#51 kid_a2pbc

kid_a2pbc

    biết vẽ line

  • Members
  • PipPip
  • 24 Bài viết
Điểm đánh giá: 1 (bình thường)

Đã gửi 11 December 2012 - 08:27 AM

Anh sơ ý post lên bản vẽ bị thừa 1 line nên mới vậy. Em down lại bản vẽ anh vừa up (link cũ) hoặc tự phóng tác ra thì sẽ thấy không sai đâu.

Cám ơn các Doan Van Ha và mọi người đã giúp đỡ, bây giờ thì đúng ý của em rồi, hì :)
  • 0

#52 phamthanhbinh

phamthanhbinh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 6009 Bài viết
Điểm đánh giá: 3113 (tuyệt vời)

Đã gửi 11 December 2012 - 11:10 AM

Nhắc lại:

Minh họa (dùng lisp bác PTB mà bạn Hoằn cứ chắc như đinh đóng cột):
http://www.cadviet.c...7029_trim_2.dwg

Hề hề hề,
Bác DoanvanHa ơi, sở dĩ kết quả bác chạy ra như vầy là do cái đường ngang thứ 3 từ dưới lên của bác có trùng một số các đoạn thẳng khác bác ạ, Bởi thế nên khi lấy tập hợp các điểm cắt thì nó bị dư ra nên cắt sai mà thôi. Nếu không bị trùng bác kiểm tra lại sẽ thấy nó không quá tệ đâu bác ạ.
Hề hề hề,....
  • 0
Chúc các quý Anh trên diễn đàn luôn khỏe, đẻ thêm được nhiều thứ để mót.

#53 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 5448 Bài viết
Điểm đánh giá: 2624 (tuyệt vời)

Đã gửi 11 December 2012 - 11:25 AM

Hề hề hề,
Bác DoanvanHa ơi, sở dĩ kết quả bác chạy ra như vầy là do cái đường ngang thứ 3 từ dưới lên của bác có trùng một số các đoạn thẳng khác bác ạ, Bởi thế nên khi lấy tập hợp các điểm cắt thì nó bị dư ra nên cắt sai mà thôi. Nếu không bị trùng bác kiểm tra lại sẽ thấy nó không quá tệ đâu bác ạ.
Hề hề hề,....

Srr bác là quá trình test chưa xóa hết các đường. Tuy nhiên, sau khi xóa chúng đị thì test lại nó vẫn chưa đúng ý đồ chủ topic bác ạ. Vì của bác ra toàn "khung cửa sổ 2 nhà cuối phố" :lol:
http://www.cadviet.c...7029_trim_3.dwg
Hình đã gửi
  • 1

* Chỉ nên yêu cầu Lisp khi bạn làm việc đó mất cả ngày nhưng họ chỉ viết 1 giờ. Đừng nêu yêu cầu Lisp khi bạn chỉ làm 1 giờ nhưng bắt họ phải mất cả ngày.

* Nhờ viết lisp cũng như đi khám bệnh. Chỉ gởi căn cước và than sắp chết thì không bác sỹ nào cứu sống được.


#54 phamthanhbinh

phamthanhbinh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 6009 Bài viết
Điểm đánh giá: 3113 (tuyệt vời)

Đã gửi 11 December 2012 - 12:51 PM

Srr bác là quá trình test chưa xóa hết các đường. Tuy nhiên, sau khi xóa chúng đị thì test lại nó vẫn chưa đúng ý đồ chủ topic bác ạ. Vì của bác ra toàn "khung cửa sổ 2 nhà cuối phố" :lol:
http://www.cadviet.c...7029_trim_3.dwg

Hề hề hề,
Sở dĩ nó ra khung cửa sổ chắc là do bác chọn một phát hết tất cả các line. Lisp mình viết hơi khác một chút, đó là không phải chọn một lúc tất cả các đường rồi sau đó chọn phương dọc hay ngang như chủ thớt đã nói mà mình làm cái việc chọn các đường cần cắt trước. Muốn ngang hay dọc thì người dùng sẽ tự chọn ở đây. Sau khi đã có các đường cần cắt mới chọn dao cắt sau bác ạ. Việc chọn dao cắt này do chính cái đường cần cắt nó chọn các line giao với nó. Thế rồi nó cắt cách quãng thôi.
Vì vậy nếu hình của bác gửi bác có thể chọn cắt thanh dọc hay thanh ngang trước đều OK cả bác ạ. Bác hãy thử lại nhé.
Mình gửi kèm đây cái lisp có chỉnh sửa thêm một chút để overkill những thằng trùng nhau trước khi cắt và săp xếp lại các point cắt theo param thay vì theo tọa độ x bác ạ. Như vậy thì các line có nằm xiên xẹo gì cũng có thể cắt được bác ạ.
http://www.cadviet.c...multitrim_2.lsp
Chúc bác vui.
  • 2
Chúc các quý Anh trên diễn đàn luôn khỏe, đẻ thêm được nhiều thứ để mót.

#55 namnhim

namnhim

    biết vẽ polygon

  • Members
  • PipPip
  • 73 Bài viết
Điểm đánh giá: 5 (bình thường)

Đã gửi 11 December 2012 - 10:21 PM

Lisp Trim 2n Lines này bởi 2m Lines khác, mà các Lines này song song với trục X và Y.


(defun C:HA( / ssd ssb layo lay lst3 lst4 pd pc p i)
;Doan Van Ha - CADViet.com - Ngay 10/12/2012
;Chuc nang: Trim 2n Lines boi 2m Lines khac. Cac Lines nay // voi truc X va Y.
(vl-load-com) (command "undo" "be") (setq layo (getvar "clayer"))
(if
(and
(princ "\nChon cac Line lam dao cat...")
(setq ssd (ssget '((0 . "Line"))))
(princ "\nChon cac Line bi cat...")
(setq ssb (ssget '((0 . "Line")))))
(progn
(foreach ent1 (vl-remove-if 'listp (mapcar 'cadr (ssnamex ssb)))
(setq lay (cdr (assoc 8 (entget ent1))))
(setq lst3 (list (setq pd (cdr (assoc 10 (entget ent1)))) (setq pc (cdr (assoc 11 (entget ent1))))))
(foreach ent2 (vl-remove-if 'listp (mapcar 'cadr (ssnamex ssd)))
(if (setq p (car (acet-geom-intersectwith ent1 ent2 0)))
(setq lst3 (cons p lst3))))
(if (equal (cadr pd) (cadr pc) 1E-8)
(setq lst4 (cons (list lay (vl-sort lst3 '(lambda (p1 p2) (> (car p1) (car p2))))) lst4))
(setq lst4 (cons (list lay (vl-sort lst3 '(lambda (p1 p2) (> (cadr p1) (cadr p2))))) lst4)))
(vla-delete (vlax-ename->vla-object ent1)))
(foreach lst (reverse lst4)
(setq i 0)
(repeat (/ (length (cadr lst)) 2)
(setvar "clayer" (car lst))
(entmake (list (cons 0 "LINE") (cons 10 (nth i (cadr lst))) (cons 11 (nth (1+ i) (cadr lst)))))
(setq i (+ i 2))))))
(setvar "clayer" layo) (command "undo" "end") (princ))


bác có thể thê m cắt được cả đối tượng là Pline được không ạ!
  • 0

#56 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 5448 Bài viết
Điểm đánh giá: 2624 (tuyệt vời)

Đã gửi 11 December 2012 - 10:30 PM

bác có thể thê m cắt được cả đối tượng là Pline được không ạ!

Pline gấp khúc hay Pline thẳng chỉ gồm 2 điểm? Nếu là Pline thẳng chỉ gồm 2 điểm thì bạn tìm chữ "Line" và thay bằng chữ "Pline" là được. Riêng chữ "LINE" thì giữ nguyên.
  • 0

* Chỉ nên yêu cầu Lisp khi bạn làm việc đó mất cả ngày nhưng họ chỉ viết 1 giờ. Đừng nêu yêu cầu Lisp khi bạn chỉ làm 1 giờ nhưng bắt họ phải mất cả ngày.

* Nhờ viết lisp cũng như đi khám bệnh. Chỉ gởi căn cước và than sắp chết thì không bác sỹ nào cứu sống được.


#57 namnhim

namnhim

    biết vẽ polygon

  • Members
  • PipPip
  • 73 Bài viết
Điểm đánh giá: 5 (bình thường)

Đã gửi 11 December 2012 - 10:45 PM

trường hợp cả đường PLine làm dao cắt và các PLine bị cắt đều là Pline gấp khúc anh ạ!
  • 0

#58 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 5448 Bài viết
Điểm đánh giá: 2624 (tuyệt vời)

Đã gửi 11 December 2012 - 10:54 PM

Nếu thế thì bạn up bản vẽ lên và ghi y/c luôn trong đó nhé!
  • 0

* Chỉ nên yêu cầu Lisp khi bạn làm việc đó mất cả ngày nhưng họ chỉ viết 1 giờ. Đừng nêu yêu cầu Lisp khi bạn chỉ làm 1 giờ nhưng bắt họ phải mất cả ngày.

* Nhờ viết lisp cũng như đi khám bệnh. Chỉ gởi căn cước và than sắp chết thì không bác sỹ nào cứu sống được.


#59 phamthanhbinh

phamthanhbinh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 6009 Bài viết
Điểm đánh giá: 3113 (tuyệt vời)

Đã gửi 12 December 2012 - 11:03 AM

trường hợp cả đường PLine làm dao cắt và các PLine bị cắt đều là Pline gấp khúc anh ạ!

Hề hề hề,
Hãy dùng thử cái lisp của mình coi có được không nhé.
  • 0
Chúc các quý Anh trên diễn đàn luôn khỏe, đẻ thêm được nhiều thứ để mót.

#60 chihuong_vp

chihuong_vp

    Chưa sử dụng CAD

  • Members
  • Pip
  • 1 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 09 May 2014 - 09:13 AM

Hề hề hề,
Hãy dùng thử cái lisp của mình coi có được không nhé.

A Bình ơi link die rồi e không tải được. a up lại giúp e nhé:))


  • 0